<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('support_settings', function (Blueprint $table) {
            $table->id();
             $table->string('telegram_link')->nullable();
            $table->text('support_text')->nullable();
            $table->timestamps();
        });

         DB::table('support_settings')->insert([
            'telegram_link' => 'https://t.me/your_telegram',
            'support_text' => 'আমাদের সাথে যোগাযোগ করুন',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('support_settings');
    }
};
